2025-01-11  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #12 from libcdio/release-2.2.0 Get ready for release 2.2.0

2025-01-09  R. Bernstein <rocky@gnu.org>

	* : commit 420f558f9c07589f36c1d5e10525d9a8b439b150 Merge: f0983da0
	c33133ce Author: R. Bernstein <rocky@users.noreply.github.com> Date:
	Thu Jan 9 18:43:13 2025 -0500

2025-01-09  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Tweak ABI incompatiblity message.

2017-07-28  Chris Lamb <chris@chris-lamb.co.uk>

	* configure.ac, doc/doxygen/Doxyfile.in: Drop LIBCDIO_SOURCE_PATH by
	dropping STRIP_FROM_PATH Doxygen setup; it's not used as
	FULL_PATH_NAMES = no

2025-01-09  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, lib/cdio++/Makefile.am,
	lib/iso9660/Makefile.am: Get ready for release 2.2.0

2025-01-09  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version string

2025-01-07  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #8 from libcdio/release-2.1.1 Release 2.1.1

2025-01-04  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Note CD-Text available on macOS

2025-01-04  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Correct some URLs

2025-01-04  R. Bernstein <rocky@users.noreply.github.com>

	* doc/libcdio.texi: Update libcdio.texi

2025-01-04  R. Bernstein <rocky@users.noreply.github.com>

	* doc/glossary.texi: Update glossary.texi

2025-01-04  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, doc/libcdio.texi: Misc corrections to docs...  * Update most recent spec numbers and update URLs * Revise example output for iso-info and C code for example1

2025-01-03  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Update NEWS make sure to include all of Robert Kausch's good work

2025-01-01  R. Bernstein <rocky@gnu.org>

	* ChangeLog-spell-corrected.diff, ChangeLog.spell-corrected,
	NEWS.md, configure.ac, include/cdio/iso9660.h, src/util.c: Get ready
	for release 2.1.1

2025-01-03  R. Bernstein <rocky@users.noreply.github.com>

	* lib/driver/osx.c: Merge pull request #10 from enzo1982/cdtext-osx Support reading CD-Text on macOS

2025-01-03  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #9 from enzo1982/cdtext-win32 Support reading CD-Text with the Win32 IOCTL driver

2024-12-24  Pete Batard <pete@akeo.ie>

	* lib/driver/cdtext.c, lib/driver/device.c: Add some boundary checks
	for enums used to access arrays This is mostly to silence some warnings from the Visual Studio
	static analyser.

2024-12-24  Pete Batard <pete@akeo.ie>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/_cdio_generic.c, lib/driver/cdtext.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c: Add some more checks for potentially NULL
	buffers Some static analysers complain about parts of our code that don't
	check for the result of malloc/calloc.

2024-12-24  Pete Batard <pete@akeo.ie>

	* .vs/libcdio.vcxproj, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c: 
	Use non widestring API calls for MSVC where required When compiling for MSVC with Unicode enabled, the compiler tries to
	use widestring API calls unless otherwise specified. So make sure we
	enforce the use of non widestring (A suffixed) calls when we pass
	char* parameters.  Also fix a warning related to the declaration of is_cdrom_aspi() and
	silence a warning about GetVersion() being deprecated.

2024-12-21  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #5 from pbatard/warnings Fix multiple warnings

2024-12-21  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #4 from pbatard/msvc Add Visual Studio 2022 support and MinGW GitHub Actions

2024-12-20  Pete Batard <pete@akeo.ie>

	* .vs/README.txt, .vs/cd-info.vcxproj, .vs/cd-info.vcxproj.filters,
	{MSVC => .vs}/config.h, .vs/libcdio.vcxproj,
	.vs/libcdio.vcxproj.filters, .vs/set_version.ps1, .vs/unistd.h,
	MSVC/README, MSVC/cd-info.vcproj, MSVC/libcdio.sln,
	MSVC/libcdio.vcproj, Makefile.am, include/cdio/types.h, libcdio.sln: 
	Add Visual Studio 2022 project files Move and update the MSVC project files to a .vs/ directory since it
	gets created by Visual Studio.  Also remove the XBox specific
	configuration.

2024-12-20  Pete Batard <pete@akeo.ie>

	* src/util.h: Use "..." and "__VA_ARGS__" for variadic macros "..." and "__VA_ARGS__" is pretty much standard and supported by
	compilers like MSVC whereas "args..." and "##args" isn't.

2024-12-20  Pete Batard <pete@akeo.ie>

	* lib/iso9660/iso9660_fs.c: Only use the __attribute__ macro on GNU
	C compilers that support it This improves on commit 771dc256eaf5c94af3926b14febe08184ef283c4, as
	it breaks MSVC compilation otherwise

2024-12-21  Pete Batard <pete@akeo.ie>

	* .github/workflows/mingw.yml: Add MinGW GitHub Actions workflow

2024-12-21  Pete Batard <pete@akeo.ie>

	* .github/workflows/macos.yml, .github/workflows/ubuntu.yml: Clean
	up MacOS and Linux GitHub Actions scripts Be more descriptive about the jobs, and remove the verbose option so
	that any error/warning will pop out.  Also remove set -x which is
	unneeded when there are only a couple of commands being invoked.
	Finally, make sure these apply to any branch, so that people who
	create one to submit a PR will get a GitHub Actions run to validate
	these changes in their repo.

2024-09-30  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #3 from libcdio/more-CI Try macos testing

2024-09-30  R. Bernstein <rocky@gnu.org>

	* .github/workflows/macos.yml, .github/workflows/{test.yml =>
	ubuntu.yml}: Try macos testing and tweak ubuntu setup

2024-09-27  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #2 from adrianreber/2024-09-27-actions Add simple GitHub Actions definition

2024-09-09  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #1 from libcdio/tweaks-for-github Convert a number of README's to markdown...

2024-09-01  John Ernberg <j@j-ernberg.se>

	* lib/driver/cdtext.c, test/cdtext-krosis.right,
	test/check_cdtext.sh: cdtext: Count empty fields as tracks The following CD-TEXT would fail when parsing due to an off-by-one
	in the songwriter data type because the album-level field is empty:     80 0 0 0 41 20 4d 65 6d 6f 69 72 20 6f 66 20 5f 23     80 0 1 c 46 72 65 65 20 57 69 6c 6c 0 47 6f 5b 8d     80 1 2 2 6e 65 20 42 75 74 20 4e 6f 74 20 46 b0 df     80 1 3 e 6f 72 67 6f 74 74 65 6e 0 49 6e 73 9 18     80 2 4 3 61 6e 69 74 79 20 41 20 4d 6f 6e 69 49 27     80 2 5 f 6b 65 72 20 4f 66 20 4d 65 0 54 6f 13 d2     80 3 6 2 20 50 65 72 73 69 73 74 20 6f 72 20 3b 87     80 3 7 e 41 64 68 65 72 65 0 41 6e 20 45 6c 63 87     80 4 8 5 65 67 79 20 66 6f 72 20 61 20 4d 61 bc e6     80 4 9 f 6e 20 41 6c 69 76 65 0 50 73 79 63 93 89     80 5 a 4 68 6f 74 69 63 6c 79 73 6d 0 41 6e d6 a     80 6 b 2 20 49 6e 74 72 61 6d 75 72 61 6c 20 aa b6     80 6 c e 4d 61 64 6e 65 73 73 0 51 75 65 73 b8 0     80 7 d 4 74 69 6f 6e 73 20 6f 66 20 61 20 48 60 11     80 7 e f 6f 6c 69 73 74 69 63 20 44 69 76 69 bb b8     80 7 f f 6e 65 0 57 69 74 68 20 56 69 72 74 60 f5     80 8 10 9 75 65 20 49 20 41 6d 20 46 72 65 65 21 6     80 8 11 f 0 42 61 74 74 6c 65 73 20 41 72 65 a5 b9     80 9 12 b 20 57 6f 6e 20 57 69 74 68 69 6e 0 b0 f3     80 a 13 0 41 20 4d 65 6d 69 6f 72 20 6f 66 20 52 2f     80 a 14 c 46 72 65 65 20 57 69 6c 6c 0 0 0 78 30     81 0 15 0 4b 72 6f 73 69 73 0 4b 72 6f 73 69 91 f1     81 1 16 5 73 0 9 0 9 0 9 0 9 0 9 0 80 2d     81 7 17 0 9 0 9 0 9 0 9 0 0 0 0 0 bd f4     82 0 18 0 0 4b 72 6f 73 69 73 0 9 0 9 0 47 9c             ^^^     82 4 19 0 9 0 9 0 9 0 9 0 9 0 9 0 1f 7f     82 a 1a 0 9 0 0 0 0 0 0 0 0 0 0 0 1e f8     83 0 1b 0 0 4b 72 6f 73 69 73 0 9 0 9 0 62 1b     83 4 1c 0 9 0 9 0 9 0 9 0 9 0 9 0 31 9f     83 a 1d 0 9 0 0 0 0 0 0 0 0 0 0 0 c6 da     84 0 1e 0 0 4b 72 6f 73 69 73 0 9 0 9 0 8c 40     84 4 1f 0 9 0 9 0 9 0 9 0 9 0 9 0 d4 a3     84 a 20 0 9 0 0 0 0 0 0 0 0 0 0 0 98 d2     8e 0 21 0 0 51 4d 37 32 38 31 39 30 35 32 30 2c cb     8e 1 22 b 34 0 51 4d 37 32 38 31 39 30 35 32 31 28     8e 2 23 a 30 35 0 51 4d 37 32 38 31 39 30 35 1a 5c     8e 3 24 9 32 30 36 0 51 4d 37 32 38 31 39 30 53 af     8e 4 25 8 35 32 30 37 0 51 4d 37 32 38 31 39 6c 0     8e 5 26 7 30 35 32 30 38 0 51 4d 37 32 38 31 c6 9b     8e 6 27 6 39 30 35 32 30 39 0 51 4d 37 32 38 39 e0     8e 7 28 5 31 39 30 35 32 31 30 0 51 4d 37 32 48 67     8e 8 29 4 38 31 39 30 35 32 31 31 0 51 4d 37 bf 19     8e 9 2a 3 32 38 31 39 30 35 32 31 32 0 51 4d 17 fa     8e a 2b 2 37 32 38 31 39 30 35 32 31 33 0 0 6f 43     8f 0 2c 0 0 1 a 0 15 3 3 3 3 0 0 0 5f 7b     8f 1 2d 0 0 0 0 0 0 0 b 3 2e 0 0 0 68 6c     8f 2 2e 0 0 0 0 0 9 0 0 0 0 0 0 0 e7 87 With the album-level field empty cur_track was never incremented,
	causing an off-by-one. Since the CD-TEXT additionally makes use of
	the Tab Indicator the entire CD-TEXT is thrown out as invalid due to
	a tab found in track 1 (that should be track 2).  Fix this by always incrementing cur_track on a termination, even if
	the buffer contains nothing while still avoiding adding any blank
	fields to the parsed CD-TEXT structure.  Include the above CD-TEXT in the test data.

2024-09-01  R. Bernstein <rocky@gnu.org>

	* configure.ac: remove a gcc warning option...  -Wmissing-declarations is obsolete?

2024-05-23  R. Bernstein <rocky@gnu.org>

	* include/cdio/ecma_167.h, lib/driver/_cdio_generic.c,
	lib/driver/image_common.h, lib/driver/mmc/mmc_ll_cmds.c,
	lib/iso9660/iso9660_fs.c, lib/udf/udf_file.c, lib/udf/udf_fs.c,
	test/driver/mmc_read.c, test/driver/mmc_write.c: Remove unneeded >0
	check ...  from last commit and misc lint: * Align style of last commit with current style * Remove declarations from block scope and move to function local
	variables * strip some trailing spaces * Use driver_return_code_t instead of int where it is a   driver_return_code_t * rename i_flags to u_flags where u_flags is an unsigned int

2024-05-22  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/udf/udf_fs.c: Check the validity of i_extended_attr member in
	udf_get_lba()

2024-05-21  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Merge mismatch...  remove unneded test, when type becomes unsigned

2024-05-21  R. Bernstein <rocky@gnu.org>

	* THANKS: Add Mansour Gashasbi

2024-05-19  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/iso9660_fs.c: Fix overflow in iso9660 dir read
	(32-bit)

2024-05-18  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Correct type on unicode16_decode function

2024-05-17  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Comment out patch incomplete code

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/iso9660_fs.c: Add bounds checking for directory buffer
	size and total size calculation

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/udf/udf_fs.c: Add input validation to unicode16_decode
	function

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/driver/_cdio_stdio.c: Limit the maximum read count to prevent
	overflow

2024-05-16  Mansour Gashasbi <gashasbi@gmail.com>

	* lib/iso9660/rock.c: Allocate enough space for growth and
	additional buffer

2024-01-09  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h, lib/driver/libcdio.sym,
	lib/iso9660/iso9660_fs.c: libcdio.sym: Remove undefined symbols See

	https://lists.gnu.org/archive/html/libcdio-devel/2024-01/msg00000.htmland See https://bugs.gentoo.org/915826 With default options ld.lld-16 and newer fails to link due to
	undefined symbols listed in libddio.sym. Specifically:     cdio_get_default_device_bsdi     cdio_get_devices_bsdi     cdio_have_bsdi     cdio_open_am_bsdi     cdio_open_bsdi     cdio_set_drive_speed     mmc_get_last_lsn     mmc_isrc_track_read_subchannel The definitions for the 5 *_bsdi symbols were removed with commit
	487136b3c6c80bbc772c56e6a388b12db55982f4.  Neither the definition nor declaration appear in the git history for
	the symbols cdio_set_drive_speed and mmc_get_last_lsn.  The definition for was removed with commit
	b427b174e664f632756bb1653fd2463592066fa3.

2023-04-09  R. Bernstein <rocky@gnu.org>

	* .gitignore, Makefile.am: Add new files to distribution

2023-04-03  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_multiextent.sh: Remove blanks from the test names in
	check_multiextent

2023-04-03  Thomas Schmitt <scdbackup@gmx.net>

	* test/README.multiextent, test/check_multiextent.sh,
	test/multiextent_emultocpad.right: Re-add the old multi-extent test
	ISO This image contains a second superblock and 300+ KiB of zeros, as is
	default with an ISO from a run of xorriso using its native commands
	set, i.e. not the mkisofs emulation.

2023-04-09  Thomas Schmitt <scdbackup@gmx.net>

	* : commit f3097ebd1e035858b4f8678b379948700a69388c Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Apr 2 12:18:21 2023 -0400

2023-04-02  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h: Align iso9660.h definition name and
	implementation we use prefix p_ to indicate a pointer.

2023-03-31  Thomas Schmitt <scdbackup@gmx.net>

	* : Merging branch joliet_multi_extent.

2023-03-27  Robert Kausch <robert.kausch@freac.org>

	* doc/libcdio.texi, src/cd-info.c, src/cddb.c: Update freedb
	references to GnuDB.  freedb was shut down in 2020.

2023-03-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version to dev

2023-03-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Partial update of configure.ac..  to track autoconf and automake changes.  autoupdate used. However some of the changes were not accepted.

2023-03-26  Thomas Schmitt <scdbackup@gmx.net>

	* : Explicit initialization of tm_temp_tmp

2023-03-23  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/utf8.c: Fix charset check in Windows
	cdio_charset_from_utf8 implementation

2023-03-23  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c: Add support for reading CD-Text
	using the Win32 IOCTL driver

2023-03-22  Pete Batard <pbatard@gmail.com>

	* lib/iso9660/iso9660.c: Fix gcc warnings gcc 12.2.0 on MinGW produces multiple warnings similar to the one
	  below: In function 'iso9660_set_dtime',       inlined from 'iso9660_dir_add_entry_su' at iso9660.c:782:3:   iso9660.c:353:44: warning: 'temp_tm.tm_isdst' may be used
	    uninitialized [-Wmaybe-uninitialized] 353 |     time_zone =
	        (p_tm->tm_isdst > 0) ? -60 : 0; |
	~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~ This patch initializes the temp_tm
	structure to silence them.

2023-03-22  Pete Batard <pbatard@gmail.com>

	* lib/iso9660/rock.c: Add processing of Rock Ridge CE records Use the processed cont_extent to read the relevant continuation
	block once the current extensions have been processed. The code is
	designed to handle chained CE blocks if needed, and we also add code
	to detect ISOs that are abusing the specs to loop CEs.  Also clean
	up the CHECK...() macros and fix some whitespace issues.

2023-03-22  Pete Batard <pbatard@gmail.com>

	* include/cdio/rock.h, lib/iso9660/rock.c: Clean up rock.h and fix
	the use of char arrays in iso_su_ce_s Using char arrays for extent, offset and size results in from_733()
	issues when processing CE data.  Also harmonize to always use stdint
	types where possible.

2023-03-15  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/osx.c: Fix crash reading CD TOC on macOS Ventura Remove unnecessary additional byte added to the TOC buffer length
	and length of the range requested from CFDataGetBytes. As of macOS
	Ventura, CFDataGetBytes checks the requested length and asserts if
	more data than available is requested.

2022-10-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c: Correct NULL termination for Rock Ridge dir
	attrs Patch found by Sija Kijin and posted to libcdio-devel on Oct 20,
	2022.  See

	https://lists.gnu.org/archive/html/libcdio-devel/2022-10/msg00000.html

2022-08-24  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: Correct realpath test failure See https://savannah.gnu.org/bugs/?62948 Patch courtesy of Martin
	Liška <marxin>

2022-06-25  Thomas Schmitt <scdbackup@gmx.net>

	* lib/iso9660/iso9660_fs.c: Bug fix: Recognition of multi-extent
	files was broken if Joliet is present

2022-02-02  Miguel Borges de Freitas <enen92@kodi.tv>

	* lib/driver/gnu_linux.c: Use getmntent/setmntent for reading mounts Since fields in the mtab and fstab files are separated by
	whitespace, octal escapes are used to represent the characters space
	(\040), tab (\011), newline (\012), and backslash (\\) in those
	files when they occur in one of the four strings in a mntent
	structure.  The routines addmntent() and getmntent() will convert
	from string representation to escaped representation and back.  When
	converting from escaped representation, the sequence \134 is also
	converted to a backslash.

2022-01-23  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, lib/driver/gnu_linux.c: Bump copyright

2021-10-10  Lukas Prediger <lumip@lumip.de>

	* example/cdchange.c, lib/driver/gnu_linux.c: Multiprocess robust cd
	change detection The new CDROM_TIMED_MEDIA_CHANGE ioctl introduced with Linux v5.16
	allows media change detection to work robustly for multiple
	processes.  This commit adapts libcdio to use this new ioctl request
	if compiled against kernel v5.16 or newer. It retains the old
	behavior for older kernels.

2021-11-01  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Bump copyright

2021-11-01  Sergei Trofimovich <slyich@gmail.com>

	* src/cdda-player.c: src/cdda-player.c: always use "%s"-style format
	for printf()-style functions `ncuses-6.3` added printf-style function attributes and now makes it
	easier to catch cases when user input is used in palce of format
	string when built with CFLAGS=-Werror=format-security:     cdda-player.c:1032:31:       error: format not a string literal and no format arguments
	     [-Werror=format-security] 1032 |         mvprintw(i_line++, 0,
	          line); |                               ^~~~ Let's wrap all the missing places with "%s" format.

2021-09-06  R. Bernstein <rocky@gnu.org>

	* src/iso-read.c: Correct name of iso files in error message.

2021-03-01  R. Bernstein <rocky@gnu.org>

	* : commit 95479463eee2c4f84586d8a35d0fe678e54d2d1f Merge: 197fcef4
	73358383 Author: R. Bernstein <rocky@gnu.org> Date:   Sun Feb 28
	16:35:30 2021 -0500

2021-02-28  R. Bernstein <rocky@gnu.org>

	* : commit 73358383f15558f5646d1f19f3691cbd2a1ad660 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Feb 28 16:34:41 2021 -0500

2020-07-02  Pete Batard <pete@akeo.ie>

	* test/data/Makefile.am: Fix make distcheck

2020-05-29  Pete Batard <pete@akeo.ie>

	* test/Makefile.am, test/check_deep_directory.sh,
	test/data/Makefile.am, test/data/deep_directory1_file,
	test/data/deep_directory2_file, test/deep_directory.right: Add Rock
	Ridge deep directory test The test is designed to test more than one level of deep
	directories.  Also the ISO is designed so that the folder with deep directory
	children (/1/) appears before the target (/rr_moved/), so that any endless
	recursion during lookup of the CL target will be tested.  In other
	words, this validates that the deep directory lookup doesn't only
	work if the CL target can be listed before the CL source.

2020-05-28  Pete Batard <pete@akeo.ie>

	* include/cdio/rock.h, lib/driver/cdio_private.h,
	lib/iso9660/iso9660_fs.c, lib/iso9660/rock.c: Add Rock Ridge deep
	directory support In order to locate the target of a child link, we need to be able to
	call iso9660_[i]fs_find_lsn() from within get_rock_ridge_filename()
	which means that we need to add an additional image parameter for
	the handful of calls that are used during directory traversing. We
	also need to use a special version of the call, that works with DD
	disabled, since we need to process RE entries, i.e the directories
	that contain the CL target, as well as ignore CL elements
	altogether, so that we don't end up with an endless recursion.  All of the above can be achieved by also carrying a 'DISABLE_RR_DD'
	flag in the image. However since we need to ensure that we handle
	both iso9660_t as well as CdIo_t as the image, we modify both
	structures so that they have a common header which we can reference.  Note that the approach of turning Rock Ridge extensions altogether
	during LSN seek (through the use of the iso9660_t extension mask for
	instance) is not appropriate as we do want to be able to retrieve
	other Rock Ridge attributes, such as long filenames, for the child
	link target, hence the requirement to being able to disable deep
	directory alone.

2020-05-28  Pete Batard <pete@akeo.ie>

	* include/cdio/rock.h, lib/iso9660/rock.c: Introduce u_su_fields
	Rock Ridge attributes Also fix and clean various Rock Ridge related issues.

2020-05-28  Pete Batard <pete@akeo.ie>

	* lib/iso9660/rock.c: Remove
	parse_rock_ridge_stat/parse_rock_ridge_stat_internal These calls aren't being used anywhere -> remove them.

2020-05-29  Pete Batard <pete@akeo.ie>

	* src/iso-read.c, test/testisorr.c: Fix tests where using
	iso9660_open() might prevent extension usage iso9660_open() is currently an alias to iso9660_open_ext(...,
	ISO_EXTENSION_NONE) which means that the image is requested to be
	opened without Joliet or Rock Ridge extensions.  Switch to using iso9660_open_ext() for tests that do rely on
	extensions.

2020-05-29  Pete Batard <pete@akeo.ie>

	* lib/driver/gnu_linux.c, test/driver/gnu_linux.c: Fix gnu-linux.c
	compilation warnings * There's no point in using strncpy when we allocate for the string
	size.  * A NULL psz_source string was used instead of ppsz_drives[0].

2020-05-24  Pete Batard <pete@akeo.ie>

	* test/check_multiextent.sh: Add missing +x permission to
	check_multiextent.sh

2020-05-23  Pete Batard <pete@akeo.ie>

	* test/Makefile.am, test/check_multiextent.sh,
	test/data/Makefile.am, test/data/multi_extent_file,
	test/multiextent.right: Add multi extent test

2020-05-18  Pete Batard <pete@akeo.ie>

	* example/extract.c, example/isofile.c, example/isofile2.c,
	example/isolist.c, include/cdio/iso9660.h,
	lib/iso9660/iso9660_fs.c, src/iso-info.c, src/iso-read.c,
	src/util.c, test/testisocd.c, test/testisocd2.c,
	test/testisocd_joliet.c: Add support for ISO9660 multi extent files This change expands the iso9660_stat_s struct to add support for
	processing multiple extents. The new structure is compatible with
	the current API, provided the DO_NOT_WANT_COMPATIBILITY macro is not
	defined.  Examples and tests are also modified to use the updated API.  Co-authored-by: Thomas Schmitt <scdbackup@gmx.net>

2020-05-22  Pete Batard <pete@akeo.ie>

	* configure.ac: Introduce --disable-compatibility as a configure
	option The option sets the DO_NOT_WANT_COMPATIBILITY macro in config.h
	which is used to disable APIs that are being retired.

2020-05-19  Pete Batard <pete@akeo.ie>

	* lib/driver/cdio_private.h, lib/iso9660/iso9660.c,
	lib/udf/udf_fs.c: Fix gcc strncpy related warnings gcc 10 on MinGW generates a handful of: 'strncpy' specified bound
	depends on the length of the source argument [-Wstringop-overflow=]
	Either use memcpy() to avoid that remove the unneeded MIN in places
	where it is superfluous.  Also add guards for the GCC specific pragma in iso9660.c.

2020-05-18  Thomas Schmitt <scdbackup@gmx.net>

	* include/cdio++/iso9660.hpp: Fix free while still in use in
	iso9660.hpp C++ method IFS::readdir() freed the iso9660_stat_t objects which it
	handed out to its caller.

2020-05-18  Thomas Schmitt <scdbackup@gmx.net>

	* example/C++/OO/iso4.cpp, example/C++/OO/isolist.cpp: Fix two
	memory leaks in example/C++/OO/ example/C++/OO/isolist.cpp did not delete its Stat objects.
	example/C++/OO/iso4.cpp had a memory leak by forgotten destructor.

2020-05-18  Thomas Schmitt <scdbackup@gmx.net>

	* example/C++/isofile.cpp, example/C++/isofile2.cpp,
	example/isofile.c, example/isofile2.c, include/cdio++/iso9660.hpp,
	lib/iso9660/iso9660_fs.c, src/iso-read.c: Fix use of
	iso9660_stat_free() where appropriate.

2020-05-20  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/MSWindows/win32.c: Fixed win32 implementation of
	.get_track_msf() for CD with first track number > 1

2020-05-20  Pete Batard <pete@akeo.ie>

	* test/testischar.c: Use current API names in testischar.c If we are using iso9660_is_dchar() we might as well use
	iso9660_is_achar().

2020-05-20  Pete Batard <pete@akeo.ie>

	* : Remove leftover symlink attribute from cdda_4_5.bin

2020-05-20  Pete Batard <pete@akeo.ie>

	* : Fix check_cue test failure on Windows platforms Can't use symbolic links on Windows, and cdda_4_5.bin was registered
	as a symbolic link to cdda.bin. For now, just duplicate the file.

2020-05-19  Pete Batard <pete@akeo.ie>

	* .gitattributes: Fix check_opts.sh failure on MinGW It turns out that grep really doesn't like to see CRLF in regexps.

2020-05-19  Pete Batard <pete@akeo.ie>

	* src/cd-info.c: Fix double reporting of sizes in cd-info.c If the sizes were smaller than 1 KB (e.g. 0), you would get
	something like: 0: 00:02:00  000000 leadout (0 bytes(0 KB raw, 0 bytes0 KB
	formatted)

2019-08-18  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/types.h: Remove homegrown boolean type;
	require <stdbool.h>

2019-05-07  R. Bernstein <rocky@gnu.org>

	* : Merge remote-tracking branch 'origin/bug53929'

2019-05-04  Edd Barrett <vext01@gmail.com>

	* configure.ac: Revert "Disable cdda_player on NetBSD" This reverts commit 123db461efef93b05401b7918afe4d05f78d8cb2.  Fixes bug #56240.

2019-05-03  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/cdtext.c: Made CD-TEXT character set interpretation
	more tolerant towards bad input. Reaction on savannah bug 53929.

2019-04-19  Lars Wendler <polynomial-c@gentoo.org>

	* configure.ac: configure.ac: Search for pkg-config with its
	PKG_PROG_PKG_CONFIG macro Otherwise the pkg-config command might not be found and thus some of
	the required packages (like ncurses) as well.  Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

2019-04-17  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: Fix C-preprocessor typo involving OSX
	packed()

2019-04-17  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, doc/how-to-make-a-release.md,
	include/cdio/audio.h, include/cdio/cdtext.h, include/cdio/device.h,
	include/cdio/mmc.h, include/cdio/mmc_ll_cmds.h: Get ready for
	release 2.1.0.. and go over Doxygen docs.

2019-04-14  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Small spelling and markup changes to NEWS.md

2019-04-14  Edd Barrett <vext01@gmail.com>

	* NEWS.md: Fix a couple of small typos.

2019-04-14  R. Bernstein <rocky@gnu.org>

	* NEWS.md, THANKS, configure.ac, test/driver/mmc_read.c: Edd
	Barrett's suggestions * Read failure on mmc_read is now logged as test skipped.  * Correct Edd's contributions. My mistake!

2019-04-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c, src/cd-read.c, src/cdda-player.c: lint-like
	fixes...  iso9660.c - suppose gcc small-format warning cdda-player.c: free
	terminal on exit; don't init screen more than once cd-read.c:
	correct help

2019-04-13  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h, lib/iso9660/iso9660_fs.c: gcc 8 wants strlen
	in strncpy ...  rather than sizeof(src)

2019-04-13  R. Bernstein <rocky@gnu.org>

	* : commit b72ac347f21b6d6d3416c0c687ebfe5f98c1d160 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Apr 13 06:47:11 2019 -0400

2019-04-13  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: Handle clang pack(push)/pack(pop)

2019-04-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c: Remove one clang warning

2019-04-13  R. Bernstein <rocky@gnu.org>

	* Makefile.am, example/.gitignore, example/Makefile.am,
	example/udffile.c, src/Makefile.am: Go over valgrind leak detection

2019-04-13  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, example/C++/OO/cdtext.cpp,
	example/cdtext-raw.c, example/cdtext.c, example/read-disc-struct.c,
	lib/driver/Makefile.am: Get ready for 2.1.0RC1 + administrivia

2019-04-13  R. Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS => NEWS.md, THANKS, doc/.gitignore,
	doc/Makefile.am, doc/how-to-make-a-release.md,
	doc/how-to-make-a-release.txt: Go over and turn release process into
	Markdown.  Go over release notes.  Convert NEWS to Markdown. Acknowledge Edd
	Barrett help Some administrivia

2019-02-24  R. Bernstein <rocky@gnu.org>

	* : commit af3debc3704ef5cd02c5f8a89792194073316c69 Author: Edd
	Barrett <vext01@gmail.com> Date:   Sun Feb 10 17:27:33 2019 +0000

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am: Replaced 8 blanks by tab character in
	test/data/Makefile.am. Correction of previous commit.

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am, test/data/cdda_4_5.bin: Added new file
	cdda_4_5.bin and re-enabled cdda_4_5.cue

2019-01-20  R. Bernstein <rocky@gnu.org>

	* test/data/Makefile.am: cdda_4_5.bin is not in git, and there is no
	rule to make it

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_fuzzyiso.sh: Added cdda_4_5.bin and cdtextfile.bin to
	the exemption list of test/check_fuzzyiso.sh

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/Makefile.am, test/cdda_4_5.right, test/check_cue.sh.in,
	test/data/Makefile.am, test/data/cdda_4_5.cue: Added test about
	cdda_4_5.cue which checks for proper display of track start number >
	1

2019-01-22  R. Bernstein <rocky@gnu.org>

	* : commit 879e0bf8243624652eb7686bcf360aeb9f09ef9a Author: Thomas
	Schmitt <scdbackup@gmx.net> Date:   Tue Jan 22 14:07:44 2019 +0100

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am, test/data/cdda_4_5.bin: Added new file
	cdda_4_5.bin and re-enabled cdda_4_5.cue

2019-01-20  R. Bernstein <rocky@gnu.org>

	* : commit 2663976828f206f6f173ae3468531a215acce7fe Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Jan 20 17:14:42 2019 -0500

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_fuzzyiso.sh: Added cdda_4_5.bin and cdtextfile.bin to
	the exemption list of test/check_fuzzyiso.sh

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* src/cd-info.c, test/Makefile.am, test/cdda_4_5.right,
	test/check_cue.sh.in, test/data/Makefile.am, test/data/cdda_4_5.cue: 
	Added test about cdda_4_5.cue which checks for proper display of
	track start number > 1

2018-12-30  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump LIBCDIO_VERSION_NUM

2018-12-30  R. Bernstein <rocky@gnu.org>

	* : commit 865140686d97a5c854f18895d74d45edf3c3248a Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Dec 30 15:04:19 2018 -0500

2018-12-30  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c: Replaced the newly introduced calls of
	cdio_warn() by cdio_log()

2018-12-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c: Fixed another wrong track number
	assumption in BIN/CUE driver

2018-12-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c, lib/driver/image_common.c: Fixed wrong
	assumptions about track start number in BIN/CUE driver

2018-12-28  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/gnu_linux.c: Fixed in gnu_linux.c some wrong
	assumptions that the start track number is always 1

2018-12-01  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c, src/cd-info.c: NetBSD/OpenBSD: Do not assume
	the first track number is 1.  Found by Thomas Schmitt:

	http://lists.gnu.org/archive/html/libcdio-devel/2018-10/msg00025.html

2018-09-10  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Add missing `-d` to help message
	and fix an indent.

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Missing set of b_cd for stopping
	the CD non-interactive.

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Ensure that stdin is in the fd set
	for select_wait().

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Unbreak -s.

2018-06-19  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD/OpenBSD: Merge in-tree driver with the
	local patch in OpenBSD ports.  Some time ago Jasper Lievisse Adriaanse imported libcdio into
	OpenBSD ports including with a dedicated OpenBSD backend:
	https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/audio/libcdio/files/openbsd.c?rev=1.4&content-type=text/x-cvsweb-markupThis change merges his work into the existing NetBSD backend (there
	were many missing functions in the NetBSD backend).  Note that in doing so, we also switched from LBA addressing to MSF
	addressing.  Fixes many problems with the NetBSD driver on OpenBSD.

2018-06-19  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD driver: Improve device enumeration and
	make it work on OpenBSD.

2018-09-10  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD: libcdio_error -> libcdio_warn.

2018-06-11  Edd Barrett <vext01@gmail.com>

	* autogen.sh: OpenBSD: Make autogen.sh work on OpenBSD.

2018-12-02  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: Slight correction to Edd's patch

2018-10-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Disable cdda_player on NetBSD

2018-09-16  R. Bernstein <rocky@gnu.org>

	* autogen.sh: Fix barf of autogen.sh on creating stamp-vti

2018-09-01  R. Bernstein <rocky@gnu.org>

	* : commit cb487963c4ae1ae11cf092e1b822463c9290ea37 Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Aug 30 21:02:34 2018 -0400

2018-08-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/netbsd.c: linux->netbsd in some names in netbsd.c

2018-08-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, lib/driver/netbsd.c: Netbsd alignment...  - Add write and exclusive-write CD access modes - add netbsd mode1 reading like others

2018-07-03  R. Bernstein <rocky@gnu.org>

	* : Merge remote-tracking branch 'origin/stef-cdda-lib-patch'

2018-06-28  R. Bernstein <rocky@gnu.org>

	* configure.ac: cdda-player configure patch from Stef #54191 From Stef: I came up with a patch that I believe will work for
	everyone.  It uses AC_SEARCH_LIBS, instead of AC_CHECK_LIB. So, if
	keypad() is defined in -lncurses or -lcurses, it does exactly what
	it does now. However, if -ltinfo is needed, it is added to
	CDDA_PLAYER_LIBS along with the curses library.

2018-06-28  R. Bernstein <rocky@gnu.org>

	* : Merge remote-tracking branch 'origin/api-doc'

2018-06-25  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c: Enabled recognition and skipping of MMC
	headers before raw CD-TEXT data

2018-06-24  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c: Applied the proper destructor to
	CdioDataSource_t if parse_cuefile() sees an undersized CDTEXTFILE

2018-06-24  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c, lib/driver/cdtext_private.h,
	lib/driver/image/bincue.c: Expanded maximum CD-TEXT payload size to
	8 full text blocks of 256 * 18 bytes

2018-06-24  Thomas Schmitt <scdbackup@gmx.net>

	* include/cdio/cdtext.h, include/cdio/disc.h, include/cdio/mmc.h,
	include/cdio/mmc_ll_cmds.h: Some clarifications about the API for
	raw CD-TEXT information

2018-06-17  R. Bernstein <rocky@gnu.org>

	* include/cdio/disc.h: Small typo caught by Thomas...  Remove read-disc-struct binary

2018-06-16  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c: Added comment to explain why function
	language_code_tests() exists

2018-06-13  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c: Small change in comment wording.

2018-06-13  R. Bernstein <rocky@gnu.org>

	* conf9AaqoM/subs.awk, conf9AaqoM/subs1.awk,
	test/driver/abs_path.dSYM/Contents/Info.plist: Remove addition of
	unintended files...  thanks to Thomas for pointing out.

2018-06-13  R. Bernstein <rocky@gnu.org>

	* : commit ce2a26f2fcfc860c99b0ec75f0873d09e1230b64 Author: R.
	Bernstein <rocky@gnu.org> Date:   Wed Jun 13 04:22:48 2018 -0400

2018-06-12  R. Bernstein <rocky@gnu.org>

	* conf9AaqoM/subs.awk, conf9AaqoM/subs1.awk, config_extract.sh,
	example/read-disc-struct.c, example/read-disc-struct.sh,
	test/driver/abs_path.dSYM/Contents/Info.plist: 
	fc94b050dcd361b6f18dbef3886384ee520a4d4b

2018-06-05  Pete Batard <pete@akeo.ie>

	* lib/driver/image/bincue.c, lib/driver/image/nrg.c: Fix MinGW
	inlining failed warnings The latest MinGW32 reports the following during compilation: image/bincue.c: In function 'cdio_get_devices_bincue':
	image/bincue.c:992:20: warning: inlining failed in call to
	 'Win32Glob.constprop': call is unlikely and code size would grow
	 [-Winline] static inline void Win32Glob(const char* pattern, const
	                    char* szCurPath, char ***drives, unsigned int *num_files) ^~~~~~~~~ image/nrg.c: In function 'cdio_get_devices_nrg':
	image/nrg.c:1128:20: warning: inlining failed in call to
	 'Win32Glob.constprop': call is unlikely and code size would grow
	 [-Winline] static inline void Win32Glob(const char* pattern, const
	                    char* szCurPath, char ***drives, unsigned int *num_files) ^~~~~~~~~

2018-05-30  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/cdtext.c: Removed an unreachable return statement from
	cdtext_lang2str()

2018-05-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/cdtext.c: Bug fix: cdtext_lang2str() yielded wrong
	texts, invalid memory addresses, or immediate memory fault with
	language codes above 0x2B.

2018-05-29  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c: New tests for CDTEXT language code
	conversion

2018-05-28  Thomas Schmitt <scdbackup@gmx.net>

	* include/cdio/cdtext.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/libcdio.sym: Renamed
	internal cdtext_is_language() to cdtext_lang2str() and promoted it
	to API

2018-05-27  Pete Batard <pete@akeo.ie>

	* lib/iso9660/iso9660_fs.c: Switch to using the more relaxed
	from_733 in _iso9660_dir_to_statbuf * Done so that libcdio doesn't bail out when processing
	  non-compliant ISOs such as openSUSE Leap 15.0

2018-05-27  Pete Batard <pete@akeo.ie>

	* include/cdio/bytesex.h: Set from_723 and from_733 to return the
	little-endian value always * And silence the warning in case of little-endian and big-endian
	mismatch * Also introduce a from_723_with_err() that can be used to report
	  mismatch if needed

2018-05-27  Thomas Schmitt <scdbackup@gmx.net>

	* example/C++/OO/cdtext.cpp, example/cdtext-raw.c,
	example/cdtext.c, include/cdio++/cdtext.hpp, include/cdio/cdtext.h,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h,
	lib/driver/libcdio.sym, src/cd-info.c: New API call
	cdtext_list_languages_v2() to be preferred over now deprecated
	cdtext_list_languages(). New API call cdtext_set_language_index().

2018-05-18  R. Bernstein <rocky@gnu.org>

	* .gitignore: Admnistrivia

2018-05-18  R. Bernstein <rocky@gnu.org>

	* configure.ac: Remove some obsolte macros

2018-02-16  rocky <rocky@gnu.org>

	* src/iso-read.c: Fix small I/O leak when we can't read ISO file See Savannah bug #53170. Thanks to David Binderman.

2017-12-31  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, configure.ac, doc/how-to-make-a-release.txt: Get
	ready for release 2.0.0

2017-12-29  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/mmc3.c, example/sample4.c,
	lib/driver/gnu_linux.c, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	lib/iso9660/rock.c, src/cdda-player.c, test/driver/cdda.c,
	test/driver/mmc_read.c, test/testgetdevices.c, test/testiso9660.c,
	test/testisocd.c: Memory leaks and lint found from clang
	"scan_build"

2017-12-24  R. Bernstein <rocky@gnu.org>

	* configure.ac: RC3

2017-12-23  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/_cdio_generic.c: Removed wrong line

2017-12-22  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c: Fix double free courtesy of Chris
	Clayton

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS: Update NEWS again

2017-12-21  R. Bernstein <rocky@gnu.org>

	* : commit 48176cc51a183ff52fab338f6bca3033746e3a5f Merge: 872898b6
	6dc697d2 Author: R. Bernstein <rocky@gnu.org> Date:   Thu Dec 21
	23:26:02 2017 -0500

2017-12-21  R. Bernstein <rocky@gnu.org>

	* : commit 6dc697d29a885d87ce37897ba977bd2421c0b32d Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Dec 21 23:16:17 2017 -0500

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS: Wordsmith NEWS

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/udf/Makefile.am: rc1 candidate - update news, bump SO numbers

2017-12-21  R. Bernstein <rocky@gnu.org>

	* lib/driver/device.c, lib/driver/netbsd.c, src/cd-info.c: Add
	NetBSD drive detection; correct drive detection in cd-info.c Patches from Onno van der Linden

2017-12-20  R. Bernstein <rocky@gnu.org>

	* example/cdtext-raw.c: Windows tolerance in cdtest-raw program

2017-12-20  R. Bernstein <rocky@gnu.org>
